Vidu Image-to-Video
使用 Vidu Q4 将首帧图片生成为 540p 至 4K 视频,可选择生成音频。
概览
使用支持的模型提交Image to Video请求。使用返回的 Task ID 查询状态,或提供 callback_url 接收下方列出的投递。
快速开始
- 创建 API Key,并将其设置为 RUNAPI_API_KEY。
- 选择一个支持的模型,并发送与该模型 Schema 匹配的 POST 请求。
- 保存返回的任务 ID,随后轮询到终态,或处理下方列出的回调。
端点
- 基础 URL
https://runapi.ai- API 版本
v1- 身份验证
Authorization: Bearer YOUR_API_TOKEN
支持的模型
打开模型页可查看当前价格、限流和商业使用详情。
请求 Schema
字段和允许的取值取决于所选模型。提供 callback_url 后,它会收到下方列出的 Task 投递。
vidu-q4-image-to-video7 个字段
audiobooleanGenerate synchronized audio. False produces a silent video.
默认值:true
callback_urlstringRunAPI customer callback URL for the terminal task result.
duration_secondsintegerVideo duration in seconds.
默认值:5
范围: 3 - 16
first_frame_image_urlstringHTTP(S) URL of a JPG, JPEG, PNG or WEBP first frame, up to 50 MB. The provider validates the remote file.
modelstringVidu Q4 image-to-video model.
output_resolutionstringOutput video resolution.
可选值:540p, 720p, 1080p, 2k, 4k
默认值: 720p
promptstringOptional video description, up to 20,000 characters.
边界:20000
创建已接受
POST /api/v1/vidu/image_to_video
响应 Schema
{
"properties": {
"id": {
"type": "string"
},
"status": {
"enum": [
"processing"
],
"type": "string"
},
"task_replayed": {
"type": "boolean"
}
},
"required": [
"id",
"status"
],
"type": "object",
"unevaluatedProperties": false
}
响应示例
{
"id": "tsk_reference_demo",
"status": "processing"
}
轮询处理中
GET /api/v1/vidu/image_to_video/:id
响应 Schema
{
"properties": {
"id": {
"type": "string"
},
"status": {
"enum": [
"processing"
],
"type": "string"
}
},
"required": [
"id",
"status"
],
"type": "object",
"unevaluatedProperties": false
}
响应示例
{
"id": "tsk_reference_demo",
"status": "processing"
}
轮询已完成
GET /api/v1/vidu/image_to_video/:id
响应 Schema
{
"properties": {
"id": {
"type": "string"
},
"status": {
"enum": [
"completed"
],
"type": "string"
},
"usage": {
"properties": {
"cost": {
"type": "number"
}
},
"required": [
"cost"
],
"type": "object",
"unevaluatedProperties": false
},
"videos": {
"items": {
"properties": {
"url": {
"type": "string",
"x-runapi-generated-media": true
}
},
"required": [
"url"
],
"type": "object",
"unevaluatedProperties": false
},
"type": "array"
}
},
"required": [
"id",
"status",
"videos",
"usage"
],
"type": "object",
"unevaluatedProperties": false
}
响应示例
{
"id": "tsk_reference_demo",
"status": "completed",
"usage": {
"cost": 0.05
},
"videos": [
{
"url": "https://file.runapi.ai/reference-video.mp4"
}
]
}
轮询失败
GET /api/v1/vidu/image_to_video/:id
响应 Schema
{
"properties": {
"error": {
"type": "string"
},
"id": {
"type": "string"
},
"status": {
"enum": [
"failed"
],
"type": "string"
}
},
"required": [
"id",
"status",
"error"
],
"type": "object",
"unevaluatedProperties": false
}
响应示例
{
"error": "Task processing failed.",
"id": "tsk_reference_demo",
"status": "failed"
}
客户回调:已完成
POST callback_url
响应 Schema
{
"properties": {
"id": {
"type": "string"
},
"status": {
"enum": [
"completed"
],
"type": "string"
},
"usage": {
"properties": {
"cost": {
"type": "number"
}
},
"required": [
"cost"
],
"type": "object",
"unevaluatedProperties": false
},
"videos": {
"items": {
"properties": {
"url": {
"type": "string",
"x-runapi-generated-media": true
}
},
"required": [
"url"
],
"type": "object",
"unevaluatedProperties": false
},
"type": "array"
}
},
"required": [
"id",
"status",
"videos",
"usage"
],
"type": "object",
"unevaluatedProperties": false
}
响应示例
{
"id": "tsk_reference_demo",
"status": "completed",
"usage": {
"cost": 0.05
},
"videos": [
{
"url": "https://file.runapi.ai/reference-video.mp4"
}
]
}
客户回调:失败
POST callback_url
响应 Schema
{
"properties": {
"error": {
"oneOf": [
{
"type": "string"
},
{
"properties": {
"code": {
"type": "string"
},
"limit_cents": {
"type": "integer"
},
"message": {
"type": "string"
},
"reset_at": {
"format": "date-time",
"type": [
"string",
"null"
]
},
"used_cents": {
"type": "integer"
},
"window": {
"enum": [
"1h",
"1d",
"7d",
"daily",
"weekly",
"monthly",
"lifetime"
],
"type": "string"
}
},
"required": [
"code",
"message"
],
"type": "object",
"unevaluatedProperties": false
}
]
},
"id": {
"type": "string"
},
"status": {
"enum": [
"failed"
],
"type": "string"
}
},
"required": [
"id",
"status",
"error"
],
"type": "object",
"unevaluatedProperties": false
}
响应示例
{
"error": {
"code": "generation_failed",
"message": "Task processing failed."
},
"id": "tsk_reference_demo",
"status": "failed"
}
错误
POST /api/v1/vidu/image_to_video
响应 Schema
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
响应示例
{
"error": "Authentication required"
}
错误
GET /api/v1/vidu/image_to_video/:id
响应 Schema
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
响应示例
{
"error": "Authentication required"
}
错误
POST /api/v1/vidu/image_to_video
响应 Schema
{
"oneOf": [
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
},
{
"properties": {
"error": {
"description": "Human-readable validation summary.",
"type": "string"
},
"errors": {
"additionalProperties": {
"items": {
"type": "string"
},
"type": "array"
},
"description": "Validation messages keyed by public request field, with an array of human-readable strings for each field.",
"type": "object"
}
},
"required": [
"error",
"errors"
],
"type": "object",
"unevaluatedProperties": false
}
]
}
响应示例
{
"error": "model must be one of: vidu-q4-image-to-video"
}
错误
POST /api/v1/vidu/image_to_video
响应 Schema
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
响应示例
{
"error": "Insufficient balance"
}
错误
POST /api/v1/vidu/image_to_video
响应 Schema
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
响应示例
{
"error": "API key credit limit exceeded"
}
错误
POST /api/v1/vidu/image_to_video
响应 Schema
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
响应示例
{
"error": "The request uses features that are not supported for the selected model"
}
错误
POST /api/v1/vidu/image_to_video
响应 Schema
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
响应示例
{
"error": "Rate limit reached. Please retry later."
}
错误
POST /api/v1/vidu/image_to_video
响应 Schema
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
响应示例
{
"error": "Service under maintenance, please try again later"
}
错误
POST /api/v1/vidu/image_to_video
响应 Schema
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
响应示例
{
"error": "The request timed out"
}
错误
GET /api/v1/vidu/image_to_video/:id
响应 Schema
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
响应示例
{
"error": "Task with id 'tsk_reference_demo' not found"
}
生成的代码示例
直接使用 cURL,或安装所用语言的 SDK。每个示例都会提交本参考中经过验证的请求。
安装
pip install runapi-vidu
import os
from runapi.vidu import ViduClient
client = ViduClient(api_key=os.environ["RUNAPI_API_KEY"])
task = client.image_to_video.create(
model="vidu-q4-image-to-video",
first_frame_image_url="https://file.runapi.ai/first-frame.png",
prompt="The camera slowly moves forward.",
audio=False,
duration_seconds=5,
output_resolution="720p"
)